import java.util.ArrayList;

public class Principale {

	public static void main(String[] args) {
		
		Ospedale o = new Ospedale("Policlinico");
		o.initMediciFromFile("init_medici/ospedale1.txt");
		o.initPazientiFromFile("init_pazienti/ospedale1.txt");
		
		Ospedale o2 = new Ospedale("Oncologico");
		o2.initMediciFromFile("init_medici/ospedale2.txt");
		o2.initPazientiFromFile("init_pazienti/ospedale2.txt");
		
		Ospedale o3 = new Ospedale("Ospedale Pediatrico");
		o3.initMediciFromFile("init_medici/ospedale3.txt");
		o3.initPazientiFromFile("init_pazienti/ospedale3.txt");
		
		Ospedale o4 = new Ospedale("Miulli");
		o4.initMediciFromFile("init_medici/ospedale4.txt");
		o4.initPazientiFromFile("init_pazienti/ospedale4.txt");
		
		Ospedale o5 = new Ospedale("San Giovanni Rotondo");
		o5.initMediciFromFile("init_medici/ospedale5.txt");
		o5.initPazientiFromFile("init_pazienti/ospedale5.txt");
		
		Medico m1 = new Medico("M_Nome1", "M_Cognome1", "M_Codice1", "Chirurgia", 3);
		Medico m2 = new Medico("M_Nome2", "M_Cognome2", "M_Codice2", "Radiologia", 3);
		Medico m3 = new Medico("M_Nome3", "M_Cognome3", "M_Codice3", "Cardiologia", 5);
		
		ArrayList<Medico> lm = new ArrayList<Medico>();
		lm.add(m1);
		lm.add(m3);
		o5.aggiungiMedici(m2);
		o5.aggiungiMedici(lm);
		
		Paziente p1 = new Paziente("P_Nome1", "P_Cognome1", "P_Codice1", "Frattura");
		Paziente p2 = new Paziente("P_Nome2", "P_Cognome2", "P_Codice2", "Tumore");
		Paziente p3 = new Paziente("P_Nome3", "P_Cognome3", "P_Codice3", "Infarto");
		
		Persona p;
		p = p1;
		p.stampaInfo();
		
		p = m1;
		p.stampaInfo();
		
		ArrayList<Paziente> lp = new ArrayList<Paziente>();
		lp.add(p1);
		lp.add(p2);
		o.aggiungiPazienti(p3);
		o.aggiungiPazienti(lp);
		
		System.out.println();
		System.out.println("////////////////////////////////////////////////");
		System.out.println("Ospedale: " + o.getNome());
		o.stampaMedici();
		System.out.println();
		o.stampaPazienti();
		
		System.out.println();
		
		System.out.println("Ospedale: " + o2.getNome());
		o2.stampaMedici();
		System.out.println();
		o2.stampaPazienti();
		
		System.out.println();
		
		System.out.println("Ospedale: " + o3.getNome());
		o3.stampaMedici();
		System.out.println();
		o3.stampaPazienti();
		
		System.out.println();
		
		System.out.println("Ospedale: " + o4.getNome());
		o4.stampaMedici();
		System.out.println();
		o4.stampaPazienti();
		
		System.out.println();
		
		System.out.println("Ospedale: " + o5.getNome());
		o5.stampaMedici();
		System.out.println();
		o5.stampaPazienti();
		
		System.out.println("////////////////////////////////////////////////");
		

		Prenotazione pren1 = new Prenotazione(p1, "Trattamento1");
		Prenotazione pren2 = new Prenotazione(p2, "Trattamento2");
		Prenotazione pren3 = new Prenotazione(p3, "Trattamento3");
		Prenotazione pren4 = new Prenotazione(p1, "Trattamento4");
		Prenotazione pren5 = new Prenotazione(p1, "Trattamento5");
		Prenotazione pren6 = new Prenotazione(p3, "Trattamento6");
		o.assegnaPrenotazioneMedico(pren1);
		o2.assegnaPrenotazioneMedico(pren2);
		o3.assegnaPrenotazioneMedico(pren3);
		o4.assegnaPrenotazioneMedico(pren4);
		o5.assegnaPrenotazioneMedico(pren5);
		o3.assegnaPrenotazioneMedico(pren6);
		o.assegnaPrenotazioneMedico(pren6);
		o3.assegnaPrenotazioneMedico(pren6);
		o.assegnaPrenotazioneMedico(pren6);
		o.assegnaPrenotazioneMedico(pren6);
		o4.assegnaPrenotazioneMedico(pren6);
		o5.assegnaPrenotazioneMedico(pren6);
		o.assegnaPrenotazioneMedico(pren6);
		
		p1.stampaCartellaClinica();
		p2.stampaCartellaClinica();
		p3.stampaCartellaClinica();
		
		System.out.println("-----------------------");
		o5.stampaStatoMedici();
		
		System.out.println("-----------------------");
		o.curaPazienti();
		o2.curaPazienti();
		o3.curaPazienti();
		o4.curaPazienti();
		o5.curaPazienti();
		System.out.println("-----------------------");
		
		p1.stampaCartellaClinica();
		p2.stampaCartellaClinica();
		p3.stampaCartellaClinica();
		
	}

}
